> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Reassign Orders to Different Company

PUT https://api-b2b.bigcommerce.com/api/v3/io/customers/{customerId}/orders/company
Content-Type: application/json

Reassigns all orders from a specific B2B Edition Company user to a different Company account. This adds the orders to the Company's Buyer Portal. This **does not** automatically reassign the Company user account to the Company, however.

### Independent vs. Dependent Companies Behavior

This request uses the `bcGroupId` field to assign orders by customer group ID instead of the Company ID. As a result, it is only supported if your store uses the legacy Dependent Companies behavior. Do not use this request if your store uses [Independent Companies behavior](https://support.bigcommerce.com/s/article/Companies-and-Customer-Groups).

For a successful response, you must include the `bcGroupId` field with a BigCommerce customer group ID value that corresponds to a Company account.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/orders/put-orders-company

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `customerId` (integer, required) — The ID of a BigCommerce customer account with a corresponding Company user account.

### Body (application/json)

This endpoint expects an object.

- `bcGroupId` (integer, required) — The unique identifier for the BigCommerce customer group that corresponds to the Company account that you are assigning to the order.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `data` (CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

Not Found This error occurs when the `customerId parameter or the bcGroupId field do not correspond to a valid customer account or customer group respectively. Confirm that the `customerId` corresponds to an existing Company user, and that the `bcGroupId` corresponds to a customer group dedicated to a single Company account.

- `code` (integer, required)
- `data` (CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaData, required)
- `meta` (CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaData

### CustomersCustomerIdOrdersCompanyPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional) — Error message of this response

## Examples

**Request**

```json
{
  "bcGroupId": 4567
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "total": 5
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Orders_put-orders-company_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company"

payload = { "bcGroupId": 4567 }
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Orders_put-orders-company_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"bcGroupId":4567}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Orders_put-orders-company_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company"

	payload := strings.NewReader("{\n  \"bcGroupId\": 4567\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Orders_put-orders-company_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"bcGroupId\": 4567\n}"

response = http.request(request)
puts response.read_body
```

```java Orders_put-orders-company_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"bcGroupId\": 4567\n}")
  .asString();
```

```php Orders_put-orders-company_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company', [
  'body' => '{
  "bcGroupId": 4567
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Orders_put-orders-company_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"bcGroupId\": 4567\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Orders_put-orders-company_example
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["bcGroupId": 4567] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/customers/321/orders/company")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```